org.apache.commons.io.input

## Class BOMInputStream.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<BOMInputStream,BOMInputStream.Builder>
      - - org.apache.commons.io.input.BOMInputStream.Builder

- All Implemented Interfaces:
    IOSupplier<BOMInputStream>
  Enclosing class:
    BOMInputStream

      public static class BOMInputStream.Builder
      extends AbstractStreamBuilder<BOMInputStream,BOMInputStream.Builder>

  Builds a new `BOMInputStream` instance.

  For example:

       BOMInputStream s = BOMInputStream.builder()
         .setPath(path)
         .setByteOrderMarks(ByteOrderMark.UTF_8)
         .setInclude(false)
         .get()

  Since:
    2.12.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BOMInputStream` | `get()` Constructs a new instance.
    `BOMInputStream.Builder` | `setByteOrderMarks(ByteOrderMark[] byteOrderMarks)` Sets the ByteOrderMarks to detect and optionally exclude.
    `BOMInputStream.Builder` | `setInclude(boolean include)` Sets whether to include the UTF-8 BOM (true) or to exclude it (false).

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharset, getCharsetDefault, setBufferSize, setBufferSize, setBufferSizeDefault, setCharset, setCharset, setCharsetDefault`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### get

          public BOMInputStream get()
                             throws IOException

      Constructs a new instance.
      Returns:
        a result
      Throws:
        `UnsupportedOperationException` - if the origin cannot be converted to an InputStream.
        `IOException` - if an I/O error occurs.

    - #### setByteOrderMarks

          public BOMInputStream.Builder setByteOrderMarks(ByteOrderMark[] byteOrderMarks)

      Sets the ByteOrderMarks to detect and optionally exclude.
      Parameters:
        `byteOrderMarks` - the ByteOrderMarks to detect and optionally exclude.
      Returns:
        this

    - #### setInclude

          public BOMInputStream.Builder setInclude(boolean include)

      Sets whether to include the UTF-8 BOM (true) or to exclude it (false).
      Parameters:
        `include` - true to include the UTF-8 BOM or false to exclude it. return this;
      Returns:
        this

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.